Subject: bug#9807: closed (Re: bug#9807: [PATCH] {maint} tests: better handling of gettext and libtool requirements)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 22 Dec 2011 17:51:03 +0000

Your bug report

#9807: libtool is not found by the automake testsuite

which was filed against the automake package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9807: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9807
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9807: [PATCH] {maint} tests: better handling of gettext and libtool requirements
From: Stefano Lattarini <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 22 Dec 2011 18:47:56 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On 12/14/2011 02:06 PM, Stefano Lattarini wrote:
> This change fixes automake bug#9807.
> 
I've squashed in the fixlet below, tested the patch on NetBSD 5.1 for good
measure (the libtool tests that were by default being skipped there started
to run and pass, yay!), and pushed to maint.

I'm thus closing this bug report.

Thanks,
  Stefano

-*-*-*-

  diff --git a/ChangeLog b/ChangeLog
  index 4d951a0..77afab4 100644
  --- a/ChangeLog
  +++ b/ChangeLog
  @@ -68,6 +68,7 @@
          * tests/Makefile.am: Declare dependency of all the logs of libtool
          tests from `libtool-macros.log', and all the logs of gettext tests
          from `gettext-macros.log'.
  +       (TESTS): Add the new tests.

   2011-12-22  Stefano Lattarini  <[email-masked]>

  diff --git a/tests/Makefile.am b/tests/Makefile.am
  index 266db46..b2a61ec 100644
  --- a/tests/Makefile.am
  +++ b/tests/Makefile.am
  @@ -924,6 +924,8 @@ yaccvpath.test \
   yacc-dist-nobuild-subdir.test \
   yflags.test \
   yflags2.test \
  +libtool-macros.test \
  +gettext-macros.test \
   $(parallel_tests)

   # FIXME: make these automatically computed once we are merged into

Subject: libtool is not found by the automake testsuite
From: Peter Rosin <[email-masked]>
To: [email-masked]
Date: Thu, 20 Oct 2011 14:42:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

When I do a simple ./configure, make, make check, Automake will
not run tests related to Libtool, because there is no Libtool
installed in the prefix this Automake is destined for (i.e.
/usr/local/).

Is it really expected that users should have to install Libtool
in the prefix before the Automake testsuite will run the Libtool
tests?

>From looking at the code, I suspect gettext is also suffering.

I do understand that there is a desire to keep undesired macros
out of the way, but the price seems a bit high...

Cheers,
Peter